use tower_cookies::{Cookie, Cookies};

use std::borrow::Cow;

use crate::state::LoggedOutUser;

pub async fn route(user: Option<LoggedOutUser>, cookies: Cookies) -> String {
    if let Some(user) = user {
        let cookie = user.cookie();
        cookies.remove(Cookie::new(
            Cow::Owned(cookie.name().to_string()),
            Cow::Owned(cookie.value().to_string()),
        ));
        return format!("Goodbye, {}. You are now logged out.", user.username());
    }

    return format!("You are not logged in.");
}
